API reference
Test mode. Use your secret key on your server; live processing is currently disabled.
https://api.knoxapi.com
Send form-encoded requests with Authorization: Bearer sk_test_....
Complete OpenAPI specification · Integration guide
Operations and schemas are based on the pinned Stripe OpenAPI specification (MIT). Nested object definitions and enums are available in the complete specification.
GET /v1/financial_connections/accounts
List Accounts
Returns a list of Financial Connections Account objects.
Request parameters
| Parameter | Location | Type | Description |
|---|
account_holder | query | object | If present, only return accounts that belong to the specified account holder. `account_holder[customer]` and `account_holder[account]` are mutually exclusive. |
ending_before | query | string | A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list. |
expand | query | array of string | Specifies which fields in the response should be expanded. |
limit | query | integer | A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10. |
session | query | string | If present, only return accounts that were collected as part of the given session. |
starting_after | query | string | A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list. |
object. See the OpenAPI specification for the complete schema.
Responses
HTTP 200: Successful response.
| Field | Type | Description |
|---|
data required | array of financial_connections.account | Details about each object. |
has_more required | boolean | True if this list has another page of items after this one that can be fetched. |
object required | string | String representing the object's type. Objects of the same type share the same value. Always has the value `list`. |
url required | string | The URL where this list can be accessed. |
HTTP default: Error response.
| Field | Type | Description |
|---|
error required | api_errors | |
POST /v1/financial_connections/sessions
Create a Session
To launch the Financial Connections authorization flow, create a Session. The session’s client_secret can be used to launch the flow using Stripe.js.
Request parameters
| Field | Type | Description |
|---|
account_holder required | object | The account holder to link accounts for. |
expand | array of string | Specifies which fields in the response should be expanded. |
filters | object | Filters to restrict the kinds of accounts to collect. |
limits | object | Settings for configuring Session-specific limits. |
manual_entry | object | Customize manual entry behavior |
permissions required | array of string | List of data features that you would like to request access to.
Possible values are `balances`, `transactions`, `ownership`, and `payment_method`. |
prefetch | array of string | List of data features that you would like to retrieve upon account creation. |
return_url | string | For webview integrations only. Upon completing OAuth login in the native browser, the user will be redirected to this URL to return to your app. |
Responses
HTTP 200: Successful response.
| Field | Type | Description |
|---|
account_holder | one of multiple schemas | The account holder for whom accounts are collected in this session. |
accounts required | object | The accounts that were collected as part of this Session. |
bank_account_token | token | |
client_secret | string | A value that will be passed to the client to launch the authentication flow. |
filters | bank_connections_resource_link_account_session_filters | |
id required | string | Unique identifier for the object. |
limits | bank_connections_resource_link_account_session_limits | |
livemode required | boolean | If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`. |
manual_entry | bank_connections_resource_link_account_session_manual_entry | |
object required | string | String representing the object's type. Objects of the same type share the same value. |
permissions required | array of string | Permissions requested for accounts collected during this session. |
prefetch | array of string | Data features requested to be retrieved upon account creation. |
return_url | string | For webview integrations only. Upon completing OAuth login in the native browser, the user will be redirected to this URL to return to your app. |
HTTP default: Error response.
| Field | Type | Description |
|---|
error required | api_errors | |
GET /v1/financial_connections/transactions
List Transactions
Returns a list of Financial Connections Transaction objects.
Request parameters
| Parameter | Location | Type | Description |
|---|
account | query | string | The ID of the Financial Connections Account whose transactions will be retrieved. |
ending_before | query | string | A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list. |
expand | query | array of string | Specifies which fields in the response should be expanded. |
limit | query | integer | A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10. |
starting_after | query | string | A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list. |
transacted_at | query | one of multiple schemas | A filter on the list based on the object `transacted_at` field. The value can be a string with an integer Unix timestamp, or it can be a dictionary with the following options: |
transaction_refresh | query | object | A filter on the list based on the object `transaction_refresh` field. The value can be a dictionary with the following options: |
object. See the OpenAPI specification for the complete schema.
Responses
HTTP 200: Successful response.
| Field | Type | Description |
|---|
data required | array of financial_connections.transaction | Details about each object. |
has_more required | boolean | True if this list has another page of items after this one that can be fetched. |
object required | string | String representing the object's type. Objects of the same type share the same value. Always has the value `list`. |
url required | string | The URL where this list can be accessed. |
HTTP default: Error response.
| Field | Type | Description |
|---|
error required | api_errors | |
GET /v1/financial_connections/accounts/{account}
Retrieve an Account
Retrieves the details of an Financial Connections Account.
Request parameters
| Parameter | Location | Type | Description |
|---|
account | path | string | |
expand | query | array of string | Specifies which fields in the response should be expanded. |
object. See the OpenAPI specification for the complete schema.
Responses
HTTP 200: Successful response.
| Field | Type | Description |
|---|
account_holder | one of multiple schemas | The account holder that this account belongs to. |
account_numbers | array of bank_connections_resource_account_number_details | Details about the account numbers. |
balance | one of multiple schemas | The most recent information about the account's balance. |
balance_refresh | one of multiple schemas | The state of the most recent attempt to refresh the account balance. |
category required | string | The type of the account. Account category is further divided in `subcategory`. |
created required | integer | Time at which the object was created. Measured in seconds since the Unix epoch. |
display_name | string | A human-readable name that has been assigned to this account, either by the account holder or by the institution. |
id required | string | Unique identifier for the object. |
institution_name required | string | The name of the institution that holds this account. |
last4 | string | The last 4 digits of the account number. If present, this will be 4 numeric characters. |
livemode required | boolean | If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`. |
object required | string | String representing the object's type. Objects of the same type share the same value. |
ownership | one of multiple schemas | The most recent information about the account's owners. |
ownership_refresh | one of multiple schemas | The state of the most recent attempt to refresh the account owners. |
permissions | array of string | The list of permissions granted by this account. |
status required | string | The status of the link to the account. |
status_details | bank_connections_resource_account_status_details | |
subcategory required | string | If `category` is `cash`, one of:
- `checking`
- `savings`
- `other`
If `category` is `credit`, one of:
- `mortgage`
- `line_of_credit`
- `credit_card`
- `other`
If `category` is `investment` or `other`, this will be `other`. |
subscriptions | array of string | The list of data refresh subscriptions requested on this account. |
supported_payment_method_types required | array of string | The [PaymentMethod type](https://docs.stripe.com/api/payment_methods/object#payment_method_object-type)(s) that can be created from this account. |
transaction_refresh | one of multiple schemas | The state of the most recent attempt to refresh the account transactions. |
HTTP default: Error response.
| Field | Type | Description |
|---|
error required | api_errors | |
POST /v1/financial_connections/accounts/{account}/disconnect
Disconnect an Account
Disables your access to a Financial Connections Account. You will no longer be able to access data associated with the account (e.g. balances, transactions).
Request parameters
| Parameter | Location | Type | Description |
|---|
account | path | string | |
| Field | Type | Description |
|---|
expand | array of string | Specifies which fields in the response should be expanded. |
Responses
HTTP 200: Successful response.
| Field | Type | Description |
|---|
account_holder | one of multiple schemas | The account holder that this account belongs to. |
account_numbers | array of bank_connections_resource_account_number_details | Details about the account numbers. |
balance | one of multiple schemas | The most recent information about the account's balance. |
balance_refresh | one of multiple schemas | The state of the most recent attempt to refresh the account balance. |
category required | string | The type of the account. Account category is further divided in `subcategory`. |
created required | integer | Time at which the object was created. Measured in seconds since the Unix epoch. |
display_name | string | A human-readable name that has been assigned to this account, either by the account holder or by the institution. |
id required | string | Unique identifier for the object. |
institution_name required | string | The name of the institution that holds this account. |
last4 | string | The last 4 digits of the account number. If present, this will be 4 numeric characters. |
livemode required | boolean | If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`. |
object required | string | String representing the object's type. Objects of the same type share the same value. |
ownership | one of multiple schemas | The most recent information about the account's owners. |
ownership_refresh | one of multiple schemas | The state of the most recent attempt to refresh the account owners. |
permissions | array of string | The list of permissions granted by this account. |
status required | string | The status of the link to the account. |
status_details | bank_connections_resource_account_status_details | |
subcategory required | string | If `category` is `cash`, one of:
- `checking`
- `savings`
- `other`
If `category` is `credit`, one of:
- `mortgage`
- `line_of_credit`
- `credit_card`
- `other`
If `category` is `investment` or `other`, this will be `other`. |
subscriptions | array of string | The list of data refresh subscriptions requested on this account. |
supported_payment_method_types required | array of string | The [PaymentMethod type](https://docs.stripe.com/api/payment_methods/object#payment_method_object-type)(s) that can be created from this account. |
transaction_refresh | one of multiple schemas | The state of the most recent attempt to refresh the account transactions. |
HTTP default: Error response.
| Field | Type | Description |
|---|
error required | api_errors | |
GET /v1/financial_connections/accounts/{account}/owners
List Account Owners
Lists all owners for a given Account
Request parameters
| Parameter | Location | Type | Description |
|---|
account | path | string | |
ending_before | query | string | A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list. |
expand | query | array of string | Specifies which fields in the response should be expanded. |
limit | query | integer | A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10. |
ownership | query | string | The ID of the ownership object to fetch owners from. |
starting_after | query | string | A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list. |
object. See the OpenAPI specification for the complete schema.
Responses
HTTP 200: Successful response.
| Field | Type | Description |
|---|
data required | array of financial_connections.account_owner | Details about each object. |
has_more required | boolean | True if this list has another page of items after this one that can be fetched. |
object required | string | String representing the object's type. Objects of the same type share the same value. Always has the value `list`. |
url required | string | The URL where this list can be accessed. |
HTTP default: Error response.
| Field | Type | Description |
|---|
error required | api_errors | |
POST /v1/financial_connections/accounts/{account}/refresh
Refresh Account data
Refreshes the data associated with a Financial Connections Account.
Request parameters
| Parameter | Location | Type | Description |
|---|
account | path | string | |
| Field | Type | Description |
|---|
expand | array of string | Specifies which fields in the response should be expanded. |
features required | array of string | The list of account features that you would like to refresh. |
Responses
HTTP 200: Successful response.
| Field | Type | Description |
|---|
account_holder | one of multiple schemas | The account holder that this account belongs to. |
account_numbers | array of bank_connections_resource_account_number_details | Details about the account numbers. |
balance | one of multiple schemas | The most recent information about the account's balance. |
balance_refresh | one of multiple schemas | The state of the most recent attempt to refresh the account balance. |
category required | string | The type of the account. Account category is further divided in `subcategory`. |
created required | integer | Time at which the object was created. Measured in seconds since the Unix epoch. |
display_name | string | A human-readable name that has been assigned to this account, either by the account holder or by the institution. |
id required | string | Unique identifier for the object. |
institution_name required | string | The name of the institution that holds this account. |
last4 | string | The last 4 digits of the account number. If present, this will be 4 numeric characters. |
livemode required | boolean | If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`. |
object required | string | String representing the object's type. Objects of the same type share the same value. |
ownership | one of multiple schemas | The most recent information about the account's owners. |
ownership_refresh | one of multiple schemas | The state of the most recent attempt to refresh the account owners. |
permissions | array of string | The list of permissions granted by this account. |
status required | string | The status of the link to the account. |
status_details | bank_connections_resource_account_status_details | |
subcategory required | string | If `category` is `cash`, one of:
- `checking`
- `savings`
- `other`
If `category` is `credit`, one of:
- `mortgage`
- `line_of_credit`
- `credit_card`
- `other`
If `category` is `investment` or `other`, this will be `other`. |
subscriptions | array of string | The list of data refresh subscriptions requested on this account. |
supported_payment_method_types required | array of string | The [PaymentMethod type](https://docs.stripe.com/api/payment_methods/object#payment_method_object-type)(s) that can be created from this account. |
transaction_refresh | one of multiple schemas | The state of the most recent attempt to refresh the account transactions. |
HTTP default: Error response.
| Field | Type | Description |
|---|
error required | api_errors | |
POST /v1/financial_connections/accounts/{account}/subscribe
Subscribe to data refreshes for an Account
Subscribes to periodic refreshes of data associated with a Financial Connections Account. When the account status is active, data is typically refreshed once a day.
Request parameters
| Parameter | Location | Type | Description |
|---|
account | path | string | |
| Field | Type | Description |
|---|
expand | array of string | Specifies which fields in the response should be expanded. |
features required | array of string | The list of account features to which you would like to subscribe. |
Responses
HTTP 200: Successful response.
| Field | Type | Description |
|---|
account_holder | one of multiple schemas | The account holder that this account belongs to. |
account_numbers | array of bank_connections_resource_account_number_details | Details about the account numbers. |
balance | one of multiple schemas | The most recent information about the account's balance. |
balance_refresh | one of multiple schemas | The state of the most recent attempt to refresh the account balance. |
category required | string | The type of the account. Account category is further divided in `subcategory`. |
created required | integer | Time at which the object was created. Measured in seconds since the Unix epoch. |
display_name | string | A human-readable name that has been assigned to this account, either by the account holder or by the institution. |
id required | string | Unique identifier for the object. |
institution_name required | string | The name of the institution that holds this account. |
last4 | string | The last 4 digits of the account number. If present, this will be 4 numeric characters. |
livemode required | boolean | If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`. |
object required | string | String representing the object's type. Objects of the same type share the same value. |
ownership | one of multiple schemas | The most recent information about the account's owners. |
ownership_refresh | one of multiple schemas | The state of the most recent attempt to refresh the account owners. |
permissions | array of string | The list of permissions granted by this account. |
status required | string | The status of the link to the account. |
status_details | bank_connections_resource_account_status_details | |
subcategory required | string | If `category` is `cash`, one of:
- `checking`
- `savings`
- `other`
If `category` is `credit`, one of:
- `mortgage`
- `line_of_credit`
- `credit_card`
- `other`
If `category` is `investment` or `other`, this will be `other`. |
subscriptions | array of string | The list of data refresh subscriptions requested on this account. |
supported_payment_method_types required | array of string | The [PaymentMethod type](https://docs.stripe.com/api/payment_methods/object#payment_method_object-type)(s) that can be created from this account. |
transaction_refresh | one of multiple schemas | The state of the most recent attempt to refresh the account transactions. |
HTTP default: Error response.
| Field | Type | Description |
|---|
error required | api_errors | |
POST /v1/financial_connections/accounts/{account}/unsubscribe
Unsubscribe from data refreshes for an Account
Unsubscribes from periodic refreshes of data associated with a Financial Connections Account.
Request parameters
| Parameter | Location | Type | Description |
|---|
account | path | string | |
| Field | Type | Description |
|---|
expand | array of string | Specifies which fields in the response should be expanded. |
features required | array of string | The list of account features from which you would like to unsubscribe. |
Responses
HTTP 200: Successful response.
| Field | Type | Description |
|---|
account_holder | one of multiple schemas | The account holder that this account belongs to. |
account_numbers | array of bank_connections_resource_account_number_details | Details about the account numbers. |
balance | one of multiple schemas | The most recent information about the account's balance. |
balance_refresh | one of multiple schemas | The state of the most recent attempt to refresh the account balance. |
category required | string | The type of the account. Account category is further divided in `subcategory`. |
created required | integer | Time at which the object was created. Measured in seconds since the Unix epoch. |
display_name | string | A human-readable name that has been assigned to this account, either by the account holder or by the institution. |
id required | string | Unique identifier for the object. |
institution_name required | string | The name of the institution that holds this account. |
last4 | string | The last 4 digits of the account number. If present, this will be 4 numeric characters. |
livemode required | boolean | If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`. |
object required | string | String representing the object's type. Objects of the same type share the same value. |
ownership | one of multiple schemas | The most recent information about the account's owners. |
ownership_refresh | one of multiple schemas | The state of the most recent attempt to refresh the account owners. |
permissions | array of string | The list of permissions granted by this account. |
status required | string | The status of the link to the account. |
status_details | bank_connections_resource_account_status_details | |
subcategory required | string | If `category` is `cash`, one of:
- `checking`
- `savings`
- `other`
If `category` is `credit`, one of:
- `mortgage`
- `line_of_credit`
- `credit_card`
- `other`
If `category` is `investment` or `other`, this will be `other`. |
subscriptions | array of string | The list of data refresh subscriptions requested on this account. |
supported_payment_method_types required | array of string | The [PaymentMethod type](https://docs.stripe.com/api/payment_methods/object#payment_method_object-type)(s) that can be created from this account. |
transaction_refresh | one of multiple schemas | The state of the most recent attempt to refresh the account transactions. |
HTTP default: Error response.
| Field | Type | Description |
|---|
error required | api_errors | |
GET /v1/financial_connections/sessions/{session}
Retrieve a Session
Retrieves the details of a Financial Connections Session
Request parameters
| Parameter | Location | Type | Description |
|---|
expand | query | array of string | Specifies which fields in the response should be expanded. |
session | path | string | |
object. See the OpenAPI specification for the complete schema.
Responses
HTTP 200: Successful response.
| Field | Type | Description |
|---|
account_holder | one of multiple schemas | The account holder for whom accounts are collected in this session. |
accounts required | object | The accounts that were collected as part of this Session. |
bank_account_token | token | |
client_secret | string | A value that will be passed to the client to launch the authentication flow. |
filters | bank_connections_resource_link_account_session_filters | |
id required | string | Unique identifier for the object. |
limits | bank_connections_resource_link_account_session_limits | |
livemode required | boolean | If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`. |
manual_entry | bank_connections_resource_link_account_session_manual_entry | |
object required | string | String representing the object's type. Objects of the same type share the same value. |
permissions required | array of string | Permissions requested for accounts collected during this session. |
prefetch | array of string | Data features requested to be retrieved upon account creation. |
return_url | string | For webview integrations only. Upon completing OAuth login in the native browser, the user will be redirected to this URL to return to your app. |
HTTP default: Error response.
| Field | Type | Description |
|---|
error required | api_errors | |
GET /v1/financial_connections/transactions/{transaction}
Retrieve a Transaction
Retrieves the details of a Financial Connections Transaction
Request parameters
| Parameter | Location | Type | Description |
|---|
expand | query | array of string | Specifies which fields in the response should be expanded. |
transaction | path | string | |
object. See the OpenAPI specification for the complete schema.
Responses
HTTP 200: Successful response.
| Field | Type | Description |
|---|
account required | string | The ID of the Financial Connections Account this transaction belongs to. |
amount required | integer | The amount of this transaction, in cents (or local equivalent). |
currency required | string | Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). |
description required | string | The description of this transaction. |
id required | string | Unique identifier for the object. |
livemode required | boolean | If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`. |
object required | string | String representing the object's type. Objects of the same type share the same value. |
status required | string | The status of the transaction. |
status_transitions required | bank_connections_resource_transaction_resource_status_transitions | |
transacted_at required | integer | Time at which the transaction was transacted. Measured in seconds since the Unix epoch. |
transaction_refresh required | string | The token of the transaction refresh that last updated or created this transaction. |
updated required | integer | Time at which the object was last updated. Measured in seconds since the Unix epoch. |
HTTP default: Error response.
| Field | Type | Description |
|---|
error required | api_errors | |